|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Macros | Functions | Variables
tmr1.c File Reference
MPLABX MCC Melody Code Generator » Timer Driver

This is the generated driver source file for TMR1 driver. More...

`#include "../tmr1.h"`
`#include "../timer_interface.h"`
Include dependency graph for tmr1.c:

Go to the source code of this file.

## Macros
#define | MASK_32_BIT_LOW 0x0000FFFFU
#define | MASK_32_BIT_HIGH 0xFFFF0000U

## Functions
void | TMR1_Initialize (void)
| Initializes the TMR1 module.
void | TMR1_Deinitialize (void)
| Deinitializes the TMR1 to POR values.
void | TMR1_Start (void)
| Starts the timer.
void | TMR1_Stop (void)
| Stops the timer.
void | TMR1_PeriodSet (uint32_t count)
| Sets the TMR1 period count value.
void | TMR1_InterruptPrioritySet (enum INTERRUPT_PRIORITY priority)
| Sets the TMR1 interrupt priority value.
void | TMR1_TimeoutCallbackRegister (void(*handler)(void))
| This function can be used to override default callback and to define custom callback for TMR1 Timeout event.
void | __attribute__ ((weak))
void | __attribute__ ((interrupt, no_auto_psv))
void | TMR1_PeriodCountSet (size_t count)

## Variables
static void(* | TMR1_TimeoutHandler )(void) = NULL
const struct TIMER_INTERFACE | Timer1
| Structure object of type TIMER_INTERFACE with the custom name given by the user in the Melody Driver User interface. The default name e.g. Timer1 can be changed by the user in the TIMER user interface. This allows defining a structure with application specific name using the 'Custom Name' field. Application specific name allows the API Portability.

## Detailed Description

TMR1 Generated Driver Source File

Definition in file tmr1.c.

## Macro Definition Documentation

## ◆ MASK_32_BIT_HIGH

#define MASK_32_BIT_HIGH 0xFFFF0000U

Definition at line 45 of file tmr1.c.

## ◆ MASK_32_BIT_LOW

#define MASK_32_BIT_LOW 0x0000FFFFU

Definition at line 44 of file tmr1.c.

## Function Documentation

## ◆ __attribute__() [1/2]

void __attribute__ | ( | (interrupt, no_auto_psv) |  | ) |

Definition at line 137 of file tmr1.c.

## ◆ __attribute__() [2/2]

void __attribute__ | ( | (weak) |  | ) |

Definition at line 132 of file tmr1.c.

## ◆ TMR1_PeriodCountSet()

void TMR1_PeriodCountSet | ( | size_t | count | ) |

Definition at line 143 of file tmr1.c.

## Variable Documentation

## ◆ TMR1_TimeoutHandler

void(* TMR1_TimeoutHandler) (void) | ( | void |  | ) | = NULL
| static

Definition at line 49 of file tmr1.c.